Reverse-ARP (RARP) is a largely-obsolete protocol for autoconfiguring IPv4
hosts on a local network.  For environments that still need it (e.g., to
netboot older Sun workstations), rarpd-dx is a simple server which responds
to RARP requests.

This version was originally written by Alexey Kuznetsov and subsequently
maintained by several others.  It is extracted from the iputils-20211215
release into a standalone package with its own standalone build system,
as the utility has been removed from newer versions of iputils.

# Prerequisites

Rarpd-dx is written in C, so a working C compiler is required.  Its
functionality depends on the Linux-specific packet socket functionality,
and probably does not work on non-Linux hosts.

# Contributing

Please send suggestions, bug reports, patches or any other
correspondence regarding rarpd-dx by electronic mail to
[Nick Bowler \<nbowler@draconx.ca\>][email].

[email]: mailto:nbowler@draconx.ca

# License

Rarpd-dx is free software: you can redistribute and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 2 of the License or (at your option) any later
version.

{::comment}
Copyright © 2023 Nick Bowler
{:/comment}
